%define commit  41ac07cd2d03

Name:           python-trollius
Version:        1.0.2
Release:        1%{?dist}
Summary:        Experimental port of the Tulip project on Python 2.7

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://bitbucket.org/enovance/trollius
Source0:        http://bitbucket.org/enovance/trollius/get/%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-futures
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-sphinx
Requires:       python-futures

%package -n python3-trollius
Summary:        Experimental port of the Tulip project on Python 2.7
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-nose

%description
Trollius is a portage of the Tulip project (asyncio module, PEP 3156) on Python
2. Trollius works on Python 2.6-3.4. It has been tested on Windows, Linux, Mac
OS X, FreeBSD and OpenIndiana.

%description -n python3-trollius
Trollius is a portage of the Tulip project (asyncio module, PEP 3156) on Python
2. Trollius works on Python 2.6-3.4. It has been tested on Windows, Linux, Mac
OS X, FreeBSD and OpenIndiana.

%prep
%setup -qn enovance-trollius-%{commit}

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build
make -C doc html man
rm -f doc/build/html/.buildinfo

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -d %{buildroot}%{_mandir}/man1
install -p -m0644 doc/build/man/trollius.1 %{buildroot}%{_mandir}/man1/trollius.1

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
%{__python2} runtests.py -x \
  test_create_server_ssl_match_failed \
  test_create_server_ssl_verified \
  test_create_server_ssl_verify_failed \
  test_create_unix_server_ssl_verified \
  test_create_unix_server_ssl_verify_failed \

pushd %{py3dir}
%{__python3} runtests.py -x \
  test_not_implemented \

popd

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING README TODO doc/build/html
%{python2_sitelib}/trollius
%{python2_sitelib}/trollius-%{version}-py?.?.egg-info
%{_mandir}/man1/trollius.1.gz

%files -n python3-trollius
%doc AUTHORS COPYING README TODO doc/build/html
%{python3_sitelib}/trollius
%{python3_sitelib}/trollius-%{version}-py?.?.egg-info

%changelog
* Sun Oct 19 2014 Scott K Logan <logans@cottsay.net> - 1.0.2-1
- Update to 1.0.2
- Add python3 package

* Sun Jan 26 2014 Scott K Logan <logans@cottsay.net> - 0.1.4-1
- Initial package creation
